net.sf.jasperreports.engine.base

## Class JRBaseChartDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.base.JRBaseChartDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChartDataset, JRCloneable, JRElementDataset
  Direct Known Subclasses:
    JRBaseCategoryDataset, JRBaseGanttDataset, JRBaseHighLowDataset, JRBasePieDataset, JRBaseTimePeriodDataset, JRBaseTimeSeriesDataset, JRBaseValueDataset, JRBaseXyDataset, JRBaseXyzDataset

      public abstract class JRBaseChartDataset
      extends JRBaseElementDataset
      implements JRChartDataset

  Version:
    $Id: JRBaseChartDataset.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseChartDataset()`
    `protected` | `JRBaseChartDataset(JRChartDataset dataset)`
    `protected` | `JRBaseChartDataset(JRChartDataset dataset, JRBaseObjectFactory factory)`

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `clone, collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `getDatasetType, validate`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRBaseChartDataset

          protected JRBaseChartDataset()

    - #### JRBaseChartDataset

          protected JRBaseChartDataset(JRChartDataset dataset)

    - #### JRBaseChartDataset

          protected JRBaseChartDataset(JRChartDataset dataset,
                            JRBaseObjectFactory factory)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com